<?php

namespace App\Repositories\Webprofile\De;

use App\Models\Webprofile\De\Design;
use App\Repositories\Repository;

class DesignRepository extends Repository
{
    public function __construct(Design $model)
    {
        $this->model = $model;
    }

    public function get()
    {
    }

    public function paginate()
    {
    }

    public function update($data, $design)
    {
        return $this->model->updateOrCreate([
            'design_id' => $design->id,
        ], $data);
    }
}
